GenericHilite (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.tools

## Class GenericHilite

- java.lang.Object
- - hlt.language.tools.GenericHilite

-     public class GenericHilite
      extends java.lang.Object

  This is a tool that beautifies the presentation of code. It is meant to recognize comments and format the information that they provide in HTML. It may be customized for a specific syntax.
  Version:
    Last modified on Fri Apr 13 19:42:44 2012 by hak
  Author:
    Hassan Aït-Kaci
  Copyright:
    © by the author

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericHilite(java.lang.String input)` Constructs a GenericHilite object with specified input file name asking for confirmation before when clobbering existing files.
    `GenericHilite(java.lang.String input, boolean clobber)` Constructs a GenericHilite object with specified input file name.
    `GenericHilite(java.lang.String input, java.lang.String configuration, java.lang.String output, java.lang.String dir, boolean clobber)` Constructs a GenericHilite object with specified input file name, configuration file name, output file name, etc...

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericHilite

          public GenericHilite(java.lang.String input,
                       java.lang.String configuration,
                       java.lang.String output,
                       java.lang.String dir,
                       boolean clobber)

      Constructs a GenericHilite object with specified input file name, configuration file name, output file name, etc...
      Parameters:
        `input` - name of file to highlight
        `configuration` - name of configuration file (properties)
        `output` - name of highlighted file
        `dir` - directory name where to write the highlighted file
        `clobber` - if `true`, overwrite existing files

    - #### GenericHilite

          public GenericHilite(java.lang.String input,
                       boolean clobber)

      Constructs a GenericHilite object with specified input file name.
      Parameters:
        `input` - name of file to highlight
        `clobber` - if `true`, overwrite existing files

    - #### GenericHilite

          public GenericHilite(java.lang.String input)

      Constructs a GenericHilite object with specified input file name asking for confirmation before when clobbering existing files.
      Parameters:
        `input` - name of file to highlight